# PCDMMGSetDMMG

Sets the DMMG that is to be used to build the preconditioner

### Synopsis

    #include "petscpc.h"
    #include "petscdmmg.h"
    PetscErrorCode  PCDMMGSetDMMG(PC pc,DMMG *dmmg)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| dmmg | - the DMMG object

### See Also

PCDMMG

Level:Intermediate
Location: src/snes/utils/pcdmmg.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages